Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.util
Class PrintConst

    java.lang.Object
      jet.cs.util.PrintConst

    public class PrintConst

extends java.lang.Object

Class `PrintConst` defines some constant values. These constant values can be used in JSPs(Java Server Pages).

Field Summary
`static java.lang.String` | `CHROMATICITY_COLOR` CHROMATICITY_COLOR property for chromaticity: indicates print as is, in color
`static java.lang.String` | `CHROMATICITY_MONOCHROME` CHROMATICITY_MONOCHROME property for chromaticity.
`static java.lang.String` | `JRS_PREFIX` JRS_PREFIX the prefix of JReport HTTP query fields(jrs.).
`static java.lang.String` | `MARGINS_UNIT_INCH` MARGINS_UNIT_INCH property about print: specifies print pages margins unit is Inch of an instance of a selected medium, i.e.
`static java.lang.String` | `MARGINS_UNIT_MM` MARGINS_UNIT_MM property about print: specifies print pages margins unit is MM of an instance of a selected medium, i.e.
`static java.lang.String` | `ORIENTATION_LANDSCAPE` ORIENTATION_LANSCAPE property for orientation: indicates the content be imaged across the long edge of the medium
`static java.lang.String` | `ORIENTATION_PORTRAIT` ORIENTATION_PORTRAIT property for orientation: indicates the content be imaged across the short edge of the medium.
`static java.lang.String` | `ORIENTATION_REVERSE_LANDSCAPE` ORIENTATION_REVERSE_LANDSCAPE property for orientation: indicates the content be imaged across the long edge of the medium, but in the opposite manner from landscape
`static java.lang.String` | `ORIENTATION_REVERSE_PORTRAIT` ORIENTATION_REVERSE_PORTRAIT property for orientation: indicates the content be imaged across the short edge of the medium, but in the opposite manner from portrait.
`static int` | `PRINT_JDK1_1_METHOD` PRINT_JDK1_1_METHOD property about print: indicates to use jdk1.1 method to print
`static int` | `PRINT_JDK1_2_METHOD` PRINT_JDK1_2_METHOD property about print: indicates to use jdk1.2 method to print
`static int` | `PRINT_JDK1_4_METHOD` PRINT_JDK1_4_METHOD property about print: indicates to use jdk1.4 method to print
`static java.lang.String` | `QUALITY_DRAFT` QUALITY_DRAFT property for print quality: indicates to use lowest quality available on the printer.
`static java.lang.String` | `QUALITY_HIGH` QUALITY_HIGH propery for print quality: indicates to use highest quality available on the printer.
`static java.lang.String` | `QUALITY_NORMAL` QUALITY_NORMAL property for print quality: indicates to use normal or intermediate quality on the printer.
`static java.lang.String` | `SHEETCOLLATE_COLLATED` SHEETCOLLATE_COLLATED property for sheetcollate: indicate that sheets within a document appear in collated order when multiple copies are printed.
`static java.lang.String` | `SHEETCOLLATE_UNCOLLATED` SHEETCOLLATE_UNCOLLATED property for sheetcollate: indicates that sheets within a document appear in uncollated order when multiple copies are printed.
`static java.lang.String` | `SIDES_DUPLEX` SIDES_DUPLEX property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the long edge
`static java.lang.String` | `SIDES_ONE_SIDED` SIDES_ONE_SIDED property for print side: imposes each consecutive print-stream page upon the same side of consecutive media sheets.
`static java.lang.String` | `SIDES_TUMBLE` SIDES_TUMBLE property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the short edge
`static java.lang.String` | `TAG_AFTER_RANGE` TAG_AFTER_RANGE property about print: specifies how print pages range are to be imposed of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_FORWARD_RANGE` TAG_FORWARD_RANGE property about print: specifies how print pages range are to be imposed of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_HAS_MARGINS` TAG_HAS_MARGINS property about print: specifies is print margins or not of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_IS_JOB_ATTRIBUTES` TAG_IS_JOB_ATTRIBUTES property about print: specifies is print job attributes of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_IS_PRINT_CHROMATICITY` TAG_IS_PRINT_CHROMATICITY property about print: if set monochrome printing
`static java.lang.String` | `TAG_IS_PRINT_MEDIATRAY` TAG_IS_PRINT_MEDIATRAY property about print: if set the print mediatray
`static java.lang.String` | `TAG_IS_PRINT_ORIENTATION` TAG_IS_PRINT_ORIENTATION property about print: if set print orientation
`static java.lang.String` | `TAG_IS_PRINT_QUALITY` TAG_IS_PRINT_QUALITY property about print: if set print quality
`static java.lang.String` | `TAG_IS_PRINT_SHEETCOLLATE` TAG_IS_PRINT_SHEETCOLLATE property about print: if set print sheet collate
`static java.lang.String` | `TAG_IS_PRINT_SIDES` TAG_IS_PRINT_SIDES property about print: if set print sides
`static java.lang.String` | `TAG_IS_TO_FILE` TAG_IS_TO_FILE property about print: specifies how print pages to be copies of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_JOB_NAME` TAG_JOB_NAME property about print: specifies print job name of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_MARGINS_BOTTOM` TAG_MARGINS_BOTTOM property about print: specifies how print pages margins bottom of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_MARGINS_LEFT` TAG_MARGINS_LEFT property about print: specifies how print margins left of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_MARGINS_RIGHT` TAG_MARGINS_RIGHT property about print: specifies how print pages margins right of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_MARGINS_TOP` TAG_MARGINS_TOP property about print: specifies how print pages margins top of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_MARGINS_UNIT` TAG_MARGINS_UNIT property about print: specifies how print pages margins unit of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_CHROMATICITY` TAG_PRINT_CHROMATICITY property about print: specifies monochrome or color printing
`static java.lang.String` | `TAG_PRINT_COPIES` TAG_PRINT_COPIES property about print: specifies how print pages to be copies of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_MEDIATRAY` TAG_PRINT_MEDIATRAY property about print: indicates the paper trays on a printer
`static java.lang.String` | `TAG_PRINT_ORIENTATION` TAG_PRINT_ORIENTATION property about print: indicates the desired orientation for printed print-stream pages
`static java.lang.String` | `TAG_PRINT_PRIORITY` TAG_PRINT_PRIORITY property about print: specifies how print priority of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_QUALITY` TAG_PRINT_QUALITY property about print: specifies the print quality that the printer uses for the job
`static java.lang.String` | `TAG_PRINT_RANGE` TAG_PRINT_RANGE property about print: specifies how print pages range are to be imposed of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_SHEETCOLLATE` TAG_PRINT_SHEETCOLLATE property about print: specifies whether or not the media sheets of each copy of each printed document in a job are to be in sequence, when multiple copies of the document are specified by the Copies attribute.
`static java.lang.String` | `TAG_PRINT_SIDES` TAG_PRINT_SIDES property about print: specifies how print-stream pages are to be imposed upon the sides of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_SIZE` TAG_PRINT_SIZE property about print: specifies how print pages size are to be imposed of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_USEJDK` TAG_PRINT_USEJDK property about print: indicates the jdk version to print
`static java.lang.String` | `TAG_TO_FILE` TAG_TO_FILE property about print: specifies how print pages to be copies of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_USER_NAME` TAG_USER_NAME property about print: specifies print user name of an instance of a selected medium, i.e.
`static java.lang.String` | `TRAY_BOTTOM` TRAY_BOTTOM property for mediatray: indicates to use the bottom input tray in the printer
`static java.lang.String` | `TRAY_ENVELOPE` TRAY_ENVELOPE property for mediatray: indicates to use the envelope input tray in the printer.
`static java.lang.String` | `TRAY_LARGE_CAPACITY` TRAY_LARGE_CAPACITY property for mediatray: indicats to use the large capacity input tray in the printer.
`static java.lang.String` | `TRAY_MAIN` TRAY_MAIN property for mediatray: indicates to use the main input tray in the printer
`static java.lang.String` | `TRAY_MANUAL` TRAY_MANUAL property for mediatray: indicates to use the manual feed input tray in the printer
`static java.lang.String` | `TRAY_MIDDLE` TRAY_MIDDLE property for mediatray: indicates to use the middle input tray in the printer.
`static java.lang.String` | `TRAY_SIDE` TRAY_SIDE property for mediatray: indicates to use the side input tray.
`static java.lang.String` | `TRAY_TOP` TRAY_TOP property for mediatray: indicates to use the top input tray in the printer.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JRS_PREFIX

    public static final java.lang.String JRS_PREFIX

  JRS_PREFIX the prefix of JReport HTTP query fields(jrs.).

### TAG_PRINT_USEJDK

    public static final java.lang.String TAG_PRINT_USEJDK

  TAG_PRINT_USEJDK property about print: indicates the jdk version to print

### PRINT_JDK1_1_METHOD

    public static final int PRINT_JDK1_1_METHOD

  PRINT_JDK1_1_METHOD property about print: indicates to use jdk1.1 method to print

  See Also:
    Constant Field Values

### PRINT_JDK1_2_METHOD

    public static final int PRINT_JDK1_2_METHOD

  PRINT_JDK1_2_METHOD property about print: indicates to use jdk1.2 method to print

  See Also:
    Constant Field Values

### PRINT_JDK1_4_METHOD

    public static final int PRINT_JDK1_4_METHOD

  PRINT_JDK1_4_METHOD property about print: indicates to use jdk1.4 method to print

  See Also:
    Constant Field Values

### TAG_IS_PRINT_MEDIATRAY

    public static final java.lang.String TAG_IS_PRINT_MEDIATRAY

  TAG_IS_PRINT_MEDIATRAY property about print: if set the print mediatray

### TAG_PRINT_MEDIATRAY

    public static final java.lang.String TAG_PRINT_MEDIATRAY

  TAG_PRINT_MEDIATRAY property about print: indicates the paper trays on a printer

### TAG_IS_PRINT_ORIENTATION

    public static final java.lang.String TAG_IS_PRINT_ORIENTATION

  TAG_IS_PRINT_ORIENTATION property about print: if set print orientation

### TAG_PRINT_ORIENTATION

    public static final java.lang.String TAG_PRINT_ORIENTATION

  TAG_PRINT_ORIENTATION property about print: indicates the desired orientation for printed print-stream pages

### TAG_IS_PRINT_CHROMATICITY

    public static final java.lang.String TAG_IS_PRINT_CHROMATICITY

  TAG_IS_PRINT_CHROMATICITY property about print: if set monochrome printing

### TAG_PRINT_CHROMATICITY

    public static final java.lang.String TAG_PRINT_CHROMATICITY

  TAG_PRINT_CHROMATICITY property about print: specifies monochrome or color printing

### TAG_IS_PRINT_QUALITY

    public static final java.lang.String TAG_IS_PRINT_QUALITY

  TAG_IS_PRINT_QUALITY property about print: if set print quality

### TAG_PRINT_QUALITY

    public static final java.lang.String TAG_PRINT_QUALITY

  TAG_PRINT_QUALITY property about print: specifies the print quality that the printer uses for the job

### TAG_IS_PRINT_SIDES

    public static final java.lang.String TAG_IS_PRINT_SIDES

  TAG_IS_PRINT_SIDES property about print: if set print sides

### TAG_PRINT_SIDES

    public static final java.lang.String TAG_PRINT_SIDES

  TAG_PRINT_SIDES property about print: specifies how print-stream pages are to be imposed upon the sides of an instance of a selected medium, i.e.

### TAG_IS_PRINT_SHEETCOLLATE

    public static final java.lang.String TAG_IS_PRINT_SHEETCOLLATE

  TAG_IS_PRINT_SHEETCOLLATE property about print: if set print sheet collate

### TAG_PRINT_SHEETCOLLATE

    public static final java.lang.String TAG_PRINT_SHEETCOLLATE

  TAG_PRINT_SHEETCOLLATE property about print: specifies whether or not the media sheets of each copy of each printed document in a job are to be in sequence, when multiple copies of the document are specified by the Copies attribute.

### TAG_PRINT_SIZE

    public static final java.lang.String TAG_PRINT_SIZE

  TAG_PRINT_SIZE property about print: specifies how print pages size are to be imposed of an instance of a selected medium, i.e.

### TAG_PRINT_RANGE

    public static final java.lang.String TAG_PRINT_RANGE

  TAG_PRINT_RANGE property about print: specifies how print pages range are to be imposed of an instance of a selected medium, i.e.

### TAG_FORWARD_RANGE

    public static final java.lang.String TAG_FORWARD_RANGE

  TAG_FORWARD_RANGE property about print: specifies how print pages range are to be imposed of an instance of a selected medium, i.e.

### TAG_AFTER_RANGE

    public static final java.lang.String TAG_AFTER_RANGE

  TAG_AFTER_RANGE property about print: specifies how print pages range are to be imposed of an instance of a selected medium, i.e.

### TAG_PRINT_COPIES

    public static final java.lang.String TAG_PRINT_COPIES

  TAG_PRINT_COPIES property about print: specifies how print pages to be copies of an instance of a selected medium, i.e.

### TAG_IS_TO_FILE

    public static final java.lang.String TAG_IS_TO_FILE

  TAG_IS_TO_FILE property about print: specifies how print pages to be copies of an instance of a selected medium, i.e.

### TAG_TO_FILE

    public static final java.lang.String TAG_TO_FILE

  TAG_TO_FILE property about print: specifies how print pages to be copies of an instance of a selected medium, i.e.

### TAG_IS_JOB_ATTRIBUTES

    public static final java.lang.String TAG_IS_JOB_ATTRIBUTES

  TAG_IS_JOB_ATTRIBUTES property about print: specifies is print job attributes of an instance of a selected medium, i.e.

### TAG_PRINT_PRIORITY

    public static final java.lang.String TAG_PRINT_PRIORITY

  TAG_PRINT_PRIORITY property about print: specifies how print priority of an instance of a selected medium, i.e.

### TAG_JOB_NAME

    public static final java.lang.String TAG_JOB_NAME

  TAG_JOB_NAME property about print: specifies print job name of an instance of a selected medium, i.e.

### TAG_USER_NAME

    public static final java.lang.String TAG_USER_NAME

  TAG_USER_NAME property about print: specifies print user name of an instance of a selected medium, i.e.

### TAG_HAS_MARGINS

    public static final java.lang.String TAG_HAS_MARGINS

  TAG_HAS_MARGINS property about print: specifies is print margins or not of an instance of a selected medium, i.e.

### TAG_MARGINS_LEFT

    public static final java.lang.String TAG_MARGINS_LEFT

  TAG_MARGINS_LEFT property about print: specifies how print margins left of an instance of a selected medium, i.e.

### TAG_MARGINS_RIGHT

    public static final java.lang.String TAG_MARGINS_RIGHT

  TAG_MARGINS_RIGHT property about print: specifies how print pages margins right of an instance of a selected medium, i.e.

### TAG_MARGINS_TOP

    public static final java.lang.String TAG_MARGINS_TOP

  TAG_MARGINS_TOP property about print: specifies how print pages margins top of an instance of a selected medium, i.e.

### TAG_MARGINS_BOTTOM

    public static final java.lang.String TAG_MARGINS_BOTTOM

  TAG_MARGINS_BOTTOM property about print: specifies how print pages margins bottom of an instance of a selected medium, i.e.

### TAG_MARGINS_UNIT

    public static final java.lang.String TAG_MARGINS_UNIT

  TAG_MARGINS_UNIT property about print: specifies how print pages margins unit of an instance of a selected medium, i.e.

### MARGINS_UNIT_MM

    public static final java.lang.String MARGINS_UNIT_MM

  MARGINS_UNIT_MM property about print: specifies print pages margins unit is MM of an instance of a selected medium, i.e.

### MARGINS_UNIT_INCH

    public static final java.lang.String MARGINS_UNIT_INCH

  MARGINS_UNIT_INCH property about print: specifies print pages margins unit is Inch of an instance of a selected medium, i.e.

### TRAY_BOTTOM

    public static final java.lang.String TRAY_BOTTOM

  TRAY_BOTTOM property for mediatray: indicates to use the bottom input tray in the printer

  See Also:
    Constant Field Values

### TRAY_ENVELOPE

    public static final java.lang.String TRAY_ENVELOPE

  TRAY_ENVELOPE property for mediatray: indicates to use the envelope input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_LARGE_CAPACITY

    public static final java.lang.String TRAY_LARGE_CAPACITY

  TRAY_LARGE_CAPACITY property for mediatray: indicats to use the large capacity input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_MANUAL

    public static final java.lang.String TRAY_MANUAL

  TRAY_MANUAL property for mediatray: indicates to use the manual feed input tray in the printer

  See Also:
    Constant Field Values

### TRAY_MAIN

    public static final java.lang.String TRAY_MAIN

  TRAY_MAIN property for mediatray: indicates to use the main input tray in the printer

  See Also:
    Constant Field Values

### TRAY_SIDE

    public static final java.lang.String TRAY_SIDE

  TRAY_SIDE property for mediatray: indicates to use the side input tray.

  See Also:
    Constant Field Values

### TRAY_TOP

    public static final java.lang.String TRAY_TOP

  TRAY_TOP property for mediatray: indicates to use the top input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_MIDDLE

    public static final java.lang.String TRAY_MIDDLE

  TRAY_MIDDLE property for mediatray: indicates to use the middle input tray in the printer.

  See Also:
    Constant Field Values

### ORIENTATION_LANDSCAPE

    public static final java.lang.String ORIENTATION_LANDSCAPE

  ORIENTATION_LANSCAPE property for orientation: indicates the content be imaged across the long edge of the medium

  See Also:
    Constant Field Values

### ORIENTATION_PORTRAIT

    public static final java.lang.String ORIENTATION_PORTRAIT

  ORIENTATION_PORTRAIT property for orientation: indicates the content be imaged across the short edge of the medium.

  See Also:
    Constant Field Values

### ORIENTATION_REVERSE_LANDSCAPE

    public static final java.lang.String ORIENTATION_REVERSE_LANDSCAPE

  ORIENTATION_REVERSE_LANDSCAPE property for orientation: indicates the content be imaged across the long edge of the medium, but in the opposite manner from landscape

  See Also:
    Constant Field Values

### ORIENTATION_REVERSE_PORTRAIT

    public static final java.lang.String ORIENTATION_REVERSE_PORTRAIT

  ORIENTATION_REVERSE_PORTRAIT property for orientation: indicates the content be imaged across the short edge of the medium, but in the opposite manner from portrait.

  See Also:
    Constant Field Values

### CHROMATICITY_MONOCHROME

    public static final java.lang.String CHROMATICITY_MONOCHROME

  CHROMATICITY_MONOCHROME property for chromaticity. indicates print in monochrome, with colors converted to shades of gray

  See Also:
    Constant Field Values

### CHROMATICITY_COLOR

    public static final java.lang.String CHROMATICITY_COLOR

  CHROMATICITY_COLOR property for chromaticity: indicates print as is, in color

  See Also:
    Constant Field Values

### QUALITY_DRAFT

    public static final java.lang.String QUALITY_DRAFT

  QUALITY_DRAFT property for print quality: indicates to use lowest quality available on the printer.

  See Also:
    Constant Field Values

### QUALITY_NORMAL

    public static final java.lang.String QUALITY_NORMAL

  QUALITY_NORMAL property for print quality: indicates to use normal or intermediate quality on the printer.

  See Also:
    Constant Field Values

### QUALITY_HIGH

    public static final java.lang.String QUALITY_HIGH

  QUALITY_HIGH propery for print quality: indicates to use highest quality available on the printer.

  See Also:
    Constant Field Values

### SIDES_DUPLEX

    public static final java.lang.String SIDES_DUPLEX

  SIDES_DUPLEX property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the long edge

  See Also:
    Constant Field Values

### SIDES_ONE_SIDED

    public static final java.lang.String SIDES_ONE_SIDED

  SIDES_ONE_SIDED property for print side: imposes each consecutive print-stream page upon the same side of consecutive media sheets.

  See Also:
    Constant Field Values

### SIDES_TUMBLE

    public static final java.lang.String SIDES_TUMBLE

  SIDES_TUMBLE property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the short edge

  See Also:
    Constant Field Values

### SHEETCOLLATE_COLLATED

    public static final java.lang.String SHEETCOLLATE_COLLATED

  SHEETCOLLATE_COLLATED property for sheetcollate: indicate that sheets within a document appear in collated order when multiple copies are printed.

  See Also:
    Constant Field Values

### SHEETCOLLATE_UNCOLLATED

    public static final java.lang.String SHEETCOLLATE_UNCOLLATED

  SHEETCOLLATE_UNCOLLATED property for sheetcollate: indicates that sheets within a document appear in uncollated order when multiple copies are printed.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD